Deployments.ai Docs
Runtime

List conversation threads

GET /v1/threads · SDK listThreads · CLI deployments thread list

GET
/v1/threads

Requires runs:read.

Authorization

headerAuthorizationBearer <token>

Opaque bearer credential scoped to one service account and tenant.

Query Parameters

cursor?string

Opaque cursor returned by the previous page.

Length1 <= length <= 4096
limit?integer

Maximum number of resources to return.

Range1 <= value <= 100
executionBindingId?string

Preview or evaluation execution binding whose resources should be returned. Resources of execution bindings are excluded unless this filter is set.

Header Parameters

x-deployments-environment?string

Required with a platform bearer JWT, where the three tenant headers select an environment the caller can access through active organization membership. Optional with an API key; when supplied, it must match the key's tenant.

Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$
x-deployments-organization?string

Required with a platform bearer JWT, where the three tenant headers select an environment the caller can access through active organization membership. Optional with an API key; when supplied, it must match the key's tenant.

Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$
x-deployments-project?string

Required with a platform bearer JWT, where the three tenant headers select an environment the caller can access through active organization membership. Optional with an API key; when supplied, it must match the key's tenant.

Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$

Response Body

ListThreadsResponse

application/json
  1. response
nextCursor?|null
threads*array<>
curl -X GET "https://example.com/v1/threads"
{  "nextCursor": "string",  "threads": [    {      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z",      "version": 0,      "environmentId": "string",      "organizationId": "string",      "projectId": "string",      "workspaceId": "string",      "agentDeploymentId": "string",      "archived": true,      "channel": "string",      "continuedFromThreadId": "string",      "createdBy": {        "id": "string",        "type": "agent"      },      "executionBindingId": "string",      "executionPurpose": "customer",      "externalThreadKey": "string",      "id": "string",      "object": "thread",      "pinned": true,      "pinnedAgentReleaseId": "string",      "streamId": "string",      "title": "string"    }  ]}